#!/bin/bash

# Get the working directory correctly when run from Dolphin
cd "`dirname $0`"

message="LOVE 0.8 is not installed on your system. Please install it from your distro packages or compile from source. http://www.love2d.org"

try_message()
{
	which $1 &> /dev/null

	if [ $? -ne 0 ]
	then
		return
	fi
	
	$@"$message"
	
	exit 0
}

try_love()
{
	which $1 &> /dev/null

	if [ $? -ne 0 ]
	then
		return
	fi

	lovever=`$1 --version 2>&1`

	if [[ $lovever == "LOVE 0.8"* ]]
	then
		$1 ./support/game.love
		
		exit 0
	fi
}


try_love "love"
try_love "love-hg"
try_love "love-unstable"

try_message "zenity --error --text "
try_message "kdialog --sorry "
try_message "xmessage -center "

echo $message
exit 1
